CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-5465

Buffer overflow in PHP before 5.2.0 allows remote attackers to execute arbitrary code via crafted UTF-8 inputs to the (1) htmlentities or (2) htmlspecialchars functions.
Publish Date : 2006-11-03 Last Update Date : 2017-10-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Execute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2006-11-01 2006-11-02
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Buffer overflow in PHP before 5.2.0 allows remote attackers to execute arbitrary code via crafted UTF-8 inputs to the (1... oval:org.mitre.oval:def:10240 unix
CVE-2006-5465 oval:org.opensuse.security:def:20065465 unix
RHSA-2006:0730: php security update (Important) oval:com.redhat.rhsa:def:20060730 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-5465

# Product Type Vendor Product Version Update Edition Language
1 Application PHP PHP 5.0 RC1 Version Details Vulnerabilities
2 Application PHP PHP 5.0 RC2 Version Details Vulnerabilities
3 Application PHP PHP 5.0 RC3 Version Details Vulnerabilities
4 Application PHP PHP 5.0.0 Version Details Vulnerabilities
5 Application PHP PHP 5.0.1 Version Details Vulnerabilities
6 Application PHP PHP 5.0.2 Version Details Vulnerabilities
7 Application PHP PHP 5.0.3 Version Details Vulnerabilities
8 Application PHP PHP 5.0.4 Version Details Vulnerabilities
9 Application PHP PHP 5.0.5 Version Details Vulnerabilities
10 Application PHP PHP 5.1 Version Details Vulnerabilities
11 Application PHP PHP 5.1.1 Version Details Vulnerabilities
12 Application PHP PHP 5.1.2 Version Details Vulnerabilities
13 Application PHP PHP 5.1.3 Version Details Vulnerabilities
14 Application PHP PHP 5.1.4 Version Details Vulnerabilities
15 Application PHP PHP 5.1.5 Version Details Vulnerabilities
16 Application PHP PHP 5.1.6 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
PHP PHP 16

- References For CVE-2006-5465

https://exchange.xforce.ibmcloud.com/vulnerabilities/29971
XF php-htmlentities-bo(29971)
http://www.vupen.com/english/advisories/2007/1546
VUPEN ADV-2007-1546
http://www.vupen.com/english/advisories/2006/4750
VUPEN ADV-2006-4750
http://www.vupen.com/english/advisories/2006/4749
VUPEN ADV-2006-4749
http://www.us-cert.gov/cas/techalerts/TA06-333A.html
CERT TA06-333A
http://www.vupen.com/english/advisories/2006/4317
VUPEN ADV-2006-4317
http://www.turbolinux.com/security/2006/TLSA-2006-38.txt
TURBO TLSA-2006-38
http://www.ubuntu.com/usn/usn-375-1
UBUNTU USN-375-1
http://www.trustix.org/errata/2006/0061/
TRUSTIX 2006-0061
http://www.securityfocus.com/bid/20879
BID 20879 PHP HTMLEntities HTMLSpecialChars Buffer Overflow Vulnerabilities Release Date:2007-04-25
http://www.securityfocus.com/archive/1/archive/1/453024/100/0/threaded
BUGTRAQ 20061129 SYM06-023, Symantec NetBackup PureDisk: PHP update to Address Reported Security Vulnerability
http://www.securityfocus.com/archive/1/archive/1/451098/100/0/threaded
BUGTRAQ 20061109 rPSA-2006-0205-1 php php-mysql php-pgsql
http://www.securityfocus.com/archive/1/archive/1/450431/100/0/threaded
BUGTRAQ 20061102 Advisory 13/2006: PHP HTML Entity Encoder Heap Overflow Vulnerability
http://www.redhat.com/support/errata/RHSA-2006-0731.html
REDHAT RHSA-2006:0731
http://www.redhat.com/support/errata/RHSA-2006-0730.html
REDHAT RHSA-2006:0730
http://www.php.net/releases/5_2_0.php CONFIRM
http://www.mandriva.com/security/advisories?name=MDKSA-2006:196
MANDRIVA MDKSA-2006:196
http://www.novell.com/linux/security/advisories/2006_67_php.html
SUSE SUSE-SA:2006:067
http://www.openpkg.com/security/advisories/OpenPKG-SA-2006.028.html
OPENPKG OpenPKG-SA-2006.028
http://www.hardened-php.net/advisory_132006.138.html
http://security.gentoo.org/glsa/glsa-200703-21.xml
GENTOO GLSA-200703-21
http://securitytracker.com/id?1017152
SECTRACK 1017152
http://securitytracker.com/id?1017296
SECTRACK 1017296
http://support.avaya.com/elmodocs2/security/ASA-2006-245.htm CONFIRM
http://www.cisco.com/en/US/products/products_security_response09186a008082c4fe.html
CISCO 20070425 PHP HTML Entity Encoder Heap Overflow Vulnerability in Multiple Web-Based Management Interfaces
http://www.cisco.com/warp/public/707/cisco-air-20070425-http.shtml
CISCO 20070425 Cisco Applied Intelligence Response: Identifying and Mitigating Exploitation of the PHP HTML Entity Encoder Heap Overflow Vulnerability in Multiple Web-Based Management Interfaces
http://www.debian.org/security/2006/dsa-1206
DEBIAN DSA-1206
http://rhn.redhat.com/errata/RHSA-2006-0736.html
REDHAT RHSA-2006:0736
http://lists.apple.com/archives/security-announce/2006/Nov/msg00001.html
APPLE APPLE-SA-2006-11-28
http://issues.rpath.com/browse/RPL-761 CONFIRM
ftp://patches.sgi.com/support/free/security/advisories/20061101-01-P
SGI 20061101-01-P
http://docs.info.apple.com/article.html?artnum=304829 CONFIRM

- Metasploit Modules Related To CVE-2006-5465

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.